<?php
include_once ('../core/base.php');
$header = 'Предметы';
include_once ('../core/head.php');

falseauth();
adm();

if($u['admin'] == 3){

echo '<div class="b">';

switch($_GET['act']){

default:

echo '<div class="title">Список предметов</div>';

$count = $base->query("SELECT * FROM `items`") -> num_rows;
$k_page = k_page($count,10);
$page = page($k_page);
$start = 10*$page-10;
$sql = $base->query("SELECT * FROM `items` ORDER BY `id` ASC LIMIT $start,10");
if($count > 0){
	while($item = $sql->fetch_assoc()){
		if($item['mark'] == '0') $color = 'B1B1B1';
		if($item['mark'] == '1') $color = '30C030';
		if($item['mark'] == '2') $color = '68A8F9';
		if($item['mark'] == '3') $color = 'D8CD32';
		if($item['mark'] == '4') $color = 'DD4FFF';
		if($item['what'] == 'clothing') $img = '/images/items/'.$item['type'].'/'.$item['image'].'.png';
		else $img = '/images/items/resource/'.$item['image'].'.png';
		echo '<a class="btn" href="/panel/items/'.$item['id'].'/"><img src="'.$img.'" width="24px" style="border: 1px solid #'.$color.';"> <font color="#'.$color.'">'.$item['name'].'</font></a>';
	}
	if($count > '10'){
		echo str('?',$k_page,$page);
	}
}else{
	echo '<br/><center>Предметов нет.</center>';
}

echo '<br/><a class="btn" href="/panel/items/new/"><img src="/images/icons/admin.png"> Создать предмет</a>';

break;

case 'new':

if(isset($_REQUEST['success'])){
	$name = fl($_POST['name']);
	$image = fl($_POST['image']);
	$class = fl($_POST['class']);
	$level = fl($_POST['level']);
	$attack_type = fl($_POST['attack_type']);
	$p_att = fl($_POST['p_att']);
	$m_att = fl($_POST['m_att']);
	$p_def = fl($_POST['p_def']);
	$m_def = fl($_POST['m_def']);
	$endurance = fl($_POST['endurance']);
	$intellect = fl($_POST['intellect']);
	$agility = fl($_POST['agility']);
	$skill = fl($_POST['skill']);
	$what = fl($_POST['what']);
	$potion = fl($_POST['potion']);
	$hp_regen = fl($_POST['hp_regen']);
	$mp_regen = fl($_POST['mp_regen']);
	$type = fl($_POST['type']);
	$rune_type = fl($_POST['rune_type']);
	$mark = fl($_POST['mark']);
	$max_quality = fl($_POST['max_quality']);
	$set = fl($_POST['set']);
	$shop = fl($_POST['shop']);
	$cost = fl($_POST['cost']);
	if(empty($name)) error('Введите название предмета.');
	elseif(empty($image)) error('Введите картинку предмета.');
	else{
		$base -> query("INSERT INTO `items` SET
			`name` = '$name',
			`image` = '$image',
			`class` = '$class',
			`level` = '$level',
			`attack_type` = '$attack_type',
			`p_att` = '$p_att',
			`m_att` = '$m_att',
			`p_def` = '$p_def',
			`m_def` = '$m_def',
			`endurance` = '$endurance',
			`intellect` = '$intellect',
			`agility` = '$agility',
			`skill` = '$skill',
			`what` = '$what',
			`potion` = '$potion',
			`hp_regen` = '$hp_regen',
			`mp_regen` = '$mp_regen',
			`type` = '$type',
			`rune_type` = '$rune_type',
			`mark` = '$mark',
			`max_quality` = '$max_quality',
			`set` = '$set',
			`shop` = '$shop',
			`cost` = '$cost'");
		$_SESSION['message'] = 'Предмет успешно создан.';
		header('location: /panel/items/');
		exit;
	}
}

echo '<div class="title">Создать предмет</div>';

echo '<center>';
echo '<form action="" method="POST">';
echo 'Название предмета:<br/>';
echo '<input type="text" name="name" /> <br/>';
echo 'Картинка предмета: <br/>';
echo '<input type="text" name="image" /> <br/>';
echo 'Класс: <br/>';
echo '<select name="class">
<option value="all">Все</option>
<option value="warrior">Воин</option>
<option value="wizard">Маг</option>
<option value="rogue">Волшебник</option>
</select> <br/>';
echo 'Уровень: <br/>';
echo '<input type="text" name="level" value="1" /> <br/>';
echo 'Тип атаки: <br/>';
echo '<select name="attack_type">
<option value="none">Нет</option>
<option value="p_att">Физическая</option>
<option value="m_att">Магическая</option>
</select> <br/>';
echo 'Физ. Атака: <br/>';
echo '<input type="text" name="p_att" /> <br/>';
echo 'Маг. Атака: <br/>';
echo '<input type="text" name="m_att" /> <br/>';
echo 'Физ. Защита: <br/>';
echo '<input type="text" name="p_def" /> <br/>';
echo 'Маг. Защита: <br/>';
echo '<input type="text" name="m_def" /> <br/>';
echo 'Выносливость: <br/>';
echo '<input type="text" name="endurance" /> <br/>';
echo 'Интеллект: <br/>';
echo '<input type="text" name="intellect" /> <br/>';
echo 'Ловкость: <br/>';
echo '<input type="text" name="agility" /> <br/>';
echo 'Мастерство: <br/>';
echo '<input type="text" name="skill" /> <br/>';
echo 'Тип предмета: <br/>';
echo '<select name="what">
<option value="clothing">Вещь</option>
<option value="resource">Ресурс</option>
<option value="potion">Зелье</option>
<option value="scroll">Свиток</option>
<option value="rune">Руна</option>
</select> <br/>';
echo 'Тип зелья: <br/>';
echo '<select name="potion">
<option value="">Нет</option>
<option value="hp">Здоровье</option>
<option value="mp">Мана</option>
</select> <br/>';
echo 'Восстанавливает здоровья: <br/>';
echo '<input type="text" name="hp_regen" /> <br/>';
echo 'Восстанавливает маны: <br/>';
echo '<input type="text" name="mp_regen" /> <br/>';
echo 'Тип вещи: <br/>';
echo '<select name="type">
<option value="">Нет</option>
<option value="right">Правая рука</option>
<option value="left">Левая рука</option>
<option value="head">Голова</option>
<option value="body">Торс</option>
<option value="hands">Руки</option>
<option value="foot">Ноги</option>
<option value="necklace">Ожерелье</option>
<option value="ring">Кольцо</option>
</select> <br/>';
echo 'Тип руны: <br/>';
echo '<select name="rune_type">
<option value="">Нет</option>
<option value="endurance">Выносливость</option>
<option value="intellect">Интеллект</option>
<option value="agility">Ловкость</option>
<option value="skill">Мастерство</option>
</select> <br/>';
echo 'Редкость: <br/>';
echo '<select name="mark">
<option value="0">Обычный</option>
<option value="1">Редкий</option>
<option value="2">Эпический</option>
<option value="3">Легендарный</option>
<option value="4">Мифический</option>
</select> <br/>';
echo 'Макс. Качество: <br/>';
echo '<select name="max_quality">
<option value="0">0</option>
<option value="5">5</option>
<option value="10">10</option>
<option value="15">15</option>
<option value="25">25</option>
<option value="50">50</option>
</select> <br/>';
echo 'ID Сета: <br/>';
echo '<input type="text" name="set" value="0" /> <br/>';
echo 'ID Магазина: <br/>';
echo '<input type="text" name="shop" value="0" /> <br/>';
echo 'Стоимость: <br/>';
echo '<input type="text" name="cost" /> <br/>';
echo '<input type="submit" name="success" value="Создать">';
echo '</form>';
echo '</center>';

echo '<a class="btn" href="/panel/items/"><img src="/images/icons/back.png"> Назад</a>';

break;

case 'edit':

$id = fl($_GET['id']);
$item = $base -> query('SELECT * FROM `items` WHERE `id` = "'.$id.'"') -> fetch_assoc();

if(isset($_REQUEST['success'])){
	$name = fl($_POST['name']);
	$image = fl($_POST['image']);
	$class = fl($_POST['class']);
	$level = fl($_POST['level']);
	$attack_type = fl($_POST['attack_type']);
	$p_att = fl($_POST['p_att']);
	$m_att = fl($_POST['m_att']);
	$p_def = fl($_POST['p_def']);
	$m_def = fl($_POST['m_def']);
	$endurance = fl($_POST['endurance']);
	$intellect = fl($_POST['intellect']);
	$agility = fl($_POST['agility']);
	$skill = fl($_POST['skill']);
	$what = fl($_POST['what']);
	$potion = fl($_POST['potion']);
	$hp_regen = fl($_POST['hp_regen']);
	$mp_regen = fl($_POST['mp_regen']);
	$type = fl($_POST['type']);
	$rune_type = fl($_POST['rune_type']);
	$mark = fl($_POST['mark']);
	$max_quality = fl($_POST['max_quality']);
	$set = fl($_POST['set']);
	$shop = fl($_POST['shop']);
	$cost = fl($_POST['cost']);
	if(empty($name)) error('Введите название предмета.');
	elseif(empty($image)) error('Введите картинку предмета.');
	else{
		$base -> query("UPDATE `items` SET
			`name` = '$name',
			`image` = '$image',
			`class` = '$class',
			`level` = '$level',
			`attack_type` = '$attack_type',
			`p_att` = '$p_att',
			`m_att` = '$m_att',
			`p_def` = '$p_def',
			`m_def` = '$m_def',
			`endurance` = '$endurance',
			`intellect` = '$intellect',
			`agility` = '$agility',
			`skill` = '$skill',
			`what` = '$what',
			`potion` = '$potion',
			`hp_regen` = '$hp_regen',
			`mp_regen` = '$mp_regen',
			`type` = '$type',
			`rune_type` = '$rune_type',
			`mark` = '$mark',
			`max_quality` = '$max_quality',
			`set` = '$set',
			`shop` = '$shop',
			`cost` = '$cost' WHERE `id` = '".$item['id']."' ");
		$_SESSION['message'] = 'Предмет успешно сохранен.';
		header('location: /panel/items/');
		exit;
	}
}

echo '<div class="title">'.$item['name'].'</div>';

echo '<center>';
echo '<form action="" method="POST">';
echo 'Название предмета:<br/>';
echo '<input type="text" name="name" value="'.$item['name'].'" /> <br/>';
echo 'Картинка предмета: <br/>';
echo '<input type="text" name="image" value="'.$item['image'].'" /> <br/>';
echo 'Класс: <br/>';
echo '<input type="text" name="class" value="'.$item['class'].'" /> <br/>';
echo 'Уровень: <br/>';
echo '<input type="text" name="level" value="'.$item['level'].'" /> <br/>';
echo 'Тип атаки: <br/>';
echo '<input type="text" name="attack_type" value="'.$item['attack_type'].'" /> <br/>';
echo 'Физ. Атака: <br/>';
echo '<input type="text" name="p_att" value="'.$item['p_att'].'" /> <br/>';
echo 'Маг. Атака: <br/>';
echo '<input type="text" name="m_att" value="'.$item['m_att'].'" /> <br/>';
echo 'Физ. Защита: <br/>';
echo '<input type="text" name="p_def" value="'.$item['p_def'].'" /> <br/>';
echo 'Маг. Защита: <br/>';
echo '<input type="text" name="m_def" value="'.$item['m_def'].'" /> <br/>';
echo 'Выносливость: <br/>';
echo '<input type="text" name="endurance" value="'.$item['endurance'].'" /> <br/>';
echo 'Интеллект: <br/>';
echo '<input type="text" name="intellect" value="'.$item['intellect'].'" /> <br/>';
echo 'Ловкость: <br/>';
echo '<input type="text" name="agility" value="'.$item['agility'].'" /> <br/>';
echo 'Мастерство: <br/>';
echo '<input type="text" name="skill" value="'.$item['skill'].'" /> <br/>';
echo 'Тип предмета: <br/>';
echo '<input type="text" name="what" value="'.$item['what'].'" /> <br/>';
echo 'Тип зелья: <br/>';
echo '<input type="text" name="potion" value="'.$item['potion'].'" /> <br/>';
echo 'Восстанавливает здоровья: <br/>';
echo '<input type="text" name="hp_regen" value="'.$item['hp_regen'].'" /> <br/>';
echo 'Восстанавливает маны: <br/>';
echo '<input type="text" name="mp_regen" value="'.$item['mp_regen'].'" /> <br/>';
echo 'Тип вещи: <br/>';
echo '<input type="text" name="type" value="'.$item['type'].'" /> <br/>';
echo 'Тип руны: <br/>';
echo '<input type="text" name="rune_type" value="'.$item['rune_type'].'" /> <br/>';
echo 'Редкость: <br/>';
echo '<input type="text" name="mark" value="'.$item['mark'].'" /> <br/>';
echo 'Макс. Качество: <br/>';
echo '<input type="text" name="max_quality" value="'.$item['max_quality'].'" /> <br/>';
echo 'ID Сета: <br/>';
echo '<input type="text" name="set" value="'.$item['set'].'" /> <br/>';
echo 'ID Магазина: <br/>';
echo '<input type="text" name="shop" value="'.$item['shop'].'" /> <br/>';
echo 'Стоимость: <br/>';
echo '<input type="text" name="cost" value="'.$item['cost'].'" /> <br/>';
echo '<input type="submit" name="success" value="Сохранить">';
echo '</form>';
echo '</center>';

echo '<a class="btn" href="/panel/items/"><img src="/images/icons/back.png"> Назад</a>';

break;

}

echo '</div>';

}else{
	header('Location: /panel/');
	exit;
}

include_once ('../core/foot.php');
?>